.Na "dbcancel" 
.Aa
.Fu
Cancel the current command batch.
.Ih "command batch, canceling"
.Sy
.Sf "RETCODE dbcancel(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine 
cancels execution of the current command batch on \*S and flushes
any pending results.
The application can call it after calling
.I "dbsqlexec(),"
.I "dbsqlsend(),"
.I "dbsqlok(),"
.I "dbresults(),"
or
.I "dbnextrow()."
\f2dbcancel()\f1 sends an attention packet to \*S, which causes
\*S to cease execution of the command batch.
Any pending results are read and discarded.
.Bl
.I "dbcancel()"
cancels \f2all\f1 the commands in the current command batch.  
To cancel only the results from the current command,
call \f2dbcanquery()\fP instead.
.Bl
If you have set your own interrupt handler using
.I "dbsetinterrupt()" ,
you can't call
.I "dbcancel()"
in your interrupt handler.
This would cause output from \*S to
\*L to become out of sync.
If you want to cancel the current command batch from your interrupt handler,
the interrupt handler should set a flag that you can check before
the next call to 
.I "dbresults()"
or 
.I "dbnextrow()."
.Bl
An asynchronous version of \f2dbcancel()\f1, called \f2dbcancel_a()\f1, is available for VMS.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
SUCCEED or FAIL.
The most common reasons for failure are a dead DBPROCESS or a network error.
.Sa
dbcancel_a,
dbcanquery,
dbnextrow,
dbresults,
dbsetinterrupt,
dbsqlexec,
dbsqlok,
dbsqlsend
