.Na "dbcanquery" 
.Aa
.Fu
Cancel any rows pending from the most recently executed query.
.Ih "result rows, canceling"
.Sy
.Sf "RETCODE dbcanquery(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine is an efficient way to throw away any unread rows that
result from the most recently executed SQL query. Calling \f2dbcanquery()\f1
is equivalent to calling \f2dbnextrow()\f1 until it returns NO_MORE_ROWS,
but \f2dbcanquery()\f1 is faster because it allocates no memory and executes no
bindings to user data.
.Bl
If you have set your own interrupt handler using
.I "dbsetinterrupt()" ,
you can't call
.I "dbcanquery()"
in your interrupt handler.
This would cause output from \*S to
\*L to become out of sync.
If you want to ignore any unread rows from the current query, 
the interrupt handler should set a flag that you can check before the
next call to \f2dbnextrow()\fP.
.Bl
If you want to ignore all of the results from all of the commands in the
current command batch, call \f2dbcancel()\fP instead.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
SUCCEED or FAIL.
The most common reasons for failure are a dead DBPROCESS or a network error.
.Sa
dbcancel,
dbnextrow,
dbresults,
dbsetinterrupt,
dbsqlexec
