.Na "dbhasretstat" 
.mc |
.Aa
.Fu
Determine whether the current command or remote procedure call generated a return status number.
.Ih "stored procedure, status number returned by"
.Ih "return status, stored procedure"
.Ih "status value, stored procedure"
.Sy
.Sf "DBBOOL dbhasretstat(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine determines whether the current \*N command or 
remote procedure call generated a return status number.
Status numbers are returned by all stored procedures running on a \*S 
whose version is 4.0 or above.
Since status numbers are a feature of stored procedures,
only a remote procedure call or an EXECUTE command can generate a status number.
.Bl
The \f2dbretstatus()\f1 routine actually gets the status number.
Stored procedures that complete normally return a status number of 0.
For a list of return status numbers, see the \f2Commands Reference\f1.
.Bl
When executing a stored procedure,
the server returns the status number immediately after returning all other results.
Therefore, the application can call \f2dbhasretstat()\f1 only after 
processing the stored procedure's results by calling 
\f2dbresults()\f1, as well as \f2dbnextrow()\f1 if appropriate.
(Note that a stored procedure can generate several sets of results\(emone for each SELECT
it contains.
Before the application can call \f2dbhasretstat()\f1 or \f2dbretstatus()\f1, it
must call \f2dbresults()\f1 and \f2dbnextrow()\f1 as many times as necessary
to process all the results.)
.Bl
The order in which the application processes the status number and any return
parameter values is unimportant.
.Bl
For an example of this routine,
see Example 8 in the \f2\*L Reference Supplement\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
TRUE or FALSE.
.Sa
dbnextrow,
dbresults,
dbretdata,
dbretstatus,
dbrpcinit,
dbrpcparam,
dbrpcsend
.mc
