.Na "DBIORDESC    (UNIX only)"
.Aa
.Fu
Provide program access to the UNIX file descriptor used by a
DBPROCESS to read data coming from \*S.
.Ih "file descriptor (UNIX), access to"
.Sy
.Sf "int DBIORDESC(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine provides a way for an application to 
respond effectively to multiple input streams.
.Ih "input streams, multiple"
Depending on the nature of your application, 
the time between a request for
information from \*S (usually made via a call to \f2dbsqlsend()\fP)
and \*S's response (read by calling \f2dbsqlok()\fP,
\f2dbresults()\fP, or \f2dbnextrow()\f1) may be significant. You may use this
time to service other parts of your application. The \f2DBIORDESC()\fP
routine provides a way to obtain the I/O descriptor which a DBPROCESS uses
to read the data stream from \*S.
This information
may then be used with various operating system facilities 
(such as the UNIX \f2select()\fP call) 
to allow the application to respond effectively to multiple input streams.
.Bl
The file descriptor returned by this routine may only be used with operating system
facilities that \f2do not\f1 read data from the incoming data stream. If data
is read from this stream by any means other than through a \*L routine, 
communications between the front-end and \*S will become hopelessly scrambled.
.Bl
An application can use
the \*L \f2DBRBUF()\f1 routine,
in addition to the UNIX \f2select()\f1 function,
to help determine whether any more data 
from \*S is available for reading.
.Bl
A companion routine, \f2DBIOWDESC()\f1, provides access to the file descriptor
used to write data to \*S.
.Bl
For an example that illustrates the use of \f2DBIORDESC()\f1 with \f2dbsqlsend()\f1
and \f2dbsqlok()\f1, see the \f2\*L Reference Supplement\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
An integer file descriptor used by the specified DBPROCESS to read data coming from
\*S.
.Sa
dbcmd, 
DBIOWDESC, 
dbnextrow, 
DBRBUF,
dbresults, 
dbsqlok, 
dbsqlsend
