.Na "dbtabbrowse"
.mc |
.Aa
.Fu
Determine whether the specified table is updatable via the
\*L browse-mode facilities.
.Ih "table, determining whether it is updatable in browse mode"
.Ih "browsable table, determining"
.Ih "table, browsable"
.Sy
.Sf "DBBOOL dbtabbrowse(dbproc, tabnum)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "tabnum"
.Co
.Bl
\f2dbtabbrowse()\f1 is one of the \*L browse mode routines.
See the Introduction for a detailed discussion of browse mode.
.Bl
\f2dbtabbrowse()\f1 provides a way to identify browsable tables.
It is useful when examining ad hoc queries prior to performing
browse mode updates based on them.
If the query has been hardcoded into the program, this routine is obviously unnecessary.
.Bl
For a table to be considered ``browsable,'' it must have a unique index
and a timestamp column.
.Bl
The application can call
\f2dbtabbrowse()\f1 any time after \f2dbresults()\f1.
.Bl
Example 7 in the \f2\*L Reference Supplement\f1 contains a call to \f2dbtabbrowse()\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi tabnum 
The number of the table of interest, as specified in the SELECT statement's FROM clause.
Table numbers start at 1.
.in -.375i
.Re
.br
TRUE or FALSE. 
.Sa
dbcolbrowse,
dbcolsource,
dbqual,
dbtabcount,
dbtabname,
dbtabsource,
dbtsnewlen,
dbtsnewval,
dbtsput
.mc
