.Na "dbtxtimestamp" 
.mc |
.Aa
.Fu
Return the value of the text timestamp for a column
in the current row.
.Ih "timestamp, text, returning value of"
.Ih "text timestamp, returning value of"
.Sy
.Sf "DBBINARY *dbtxtimestamp(dbproc, column)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "column"
.Co
.Bl
Every database column of type SYBTEXT or SYBIMAGE has an associated
text timestamp, which marks the time of the column's last modification.
The text timestamp is useful in conjunction with the \f2dbwritetext()\f1
function, to ensure that two competing application users do not inadvertently
wipe out each other's modifications to the same value in the database.
It is returned to the DBPROCESS when a \*N SELECT is performed
on a SYBTEXT or SYBIMAGE column.
.Bl
The length of a non-NULL text timestamp is always DBTXTSLEN (currently
defined as eight bytes).
.Bl
For an example that uses \f2dbtxtimestamp()\f1, see the \f2dbwritetext()\f1 manual page.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi column
The number of the column of interest.
The first column in a table is number 1.
.in -.375i
.Re
.br
A DBBINARY pointer to the text timestamp for the column of interest.
This pointer may be NULL.
.Sa
dbtxptr, 
dbwritetext
.mc
