.Na "types" 
.Aa
.Fu
List of data typedefs and defines used by \*L.
.Ih "datatypes, \*L"
.Ih "datatypes, \*S"
.Ih "\*L datatypes"
.Ih "typedefs, \*L"
.Ih "\*S datatypes"
.Sy
.Si "<sybfront.h>"
.Si "<sybdb.h>"
.Co
.Bl
Here is a list of \*S datatypes.
\f2dbconvert()\f1 and \f2dbwillconvert()\f1 use these types.
In addition, the routines
\f2dbcoltype()\f1, \f2dbalttype()\f1, and \f2dbrettype()\f1
will return one of these types.
.sp
.in +5n
.ta +24n
.nf
SYBCHAR	/* char type */
.mc |
SYBTEXT	/* text type */
.mc
SYBBINARY	/* binary type */
.mc |
SYBIMAGE	/* image type */
.mc
SYBINT1	/* 1-byte integer */
SYBINT2	/* 2-byte integer */
SYBINT4	/* 4-byte integer */
SYBFLT8	/* 8-byte float type */
SYBBIT	/* bit type */
SYBMONEY	/* money type */
SYBDATETIME	/* datetime type */
.fi
.in -5n
.sp
For more information on \*S datatypes, see the \f2Commands Reference\f1.
.Bl
Here is a list of typedefs used by \*L functions.
These typedefs are useful for defining program variables,
particularly variables used with
\f2dbbind()\f1, \f2dbaltbind()\f1, and \f2dbconvert()\f1.
.ta +26n +21n
.sp
.in +5n
.nf
.ne 8
typedef char	DBCHAR;	/* char and text type */
typedef unsigned char	DBBINARY;	/* binary and image type */
typedef unsigned char	DBTINYINT;	/* 1-byte integer */
typedef short	DBSMALLINT;	/* 2-byte integer */
typedef unsigned short	DBUSMALLINT;	/* unsigned 2-byte integer */
typedef long	DBINT;	/* 4-byte integer */
typedef double	DBFLT8;	/* 8-byte float type */
typedef unsigned char	DBBIT;	/* bit type */
typedef int	RETCODE;	/* SUCCEED or FAIL */
.sp
.ne 6
.ta +4n +20n +23n
.ne 5
typedef struct money		/* money type */
{
	long	mnyhigh;
	long	mnylow;
} DBMONEY;
.sp
.ne 5
typedef struct datetime		/* datetime type */
{
	long	dtdays;	/* number of days since 1/1/1900 */
	unsigned long	dttime;	/* 300ths of a second since midnight */
} DBDATETIME;
.sp
.ta +4n +20n +23n
.ne 5
typedef struct dbvarychar		/* Pascal-type string. */
{
	DBSMALLINT	len;	/* character count */
	DBCHAR	str[DBMAXCHAR];	/* non-terminated string */
} DBVARYCHAR;
.sp
.ne 5
typedef struct dbvarybin		/* Pascal-type binary array. */
{
	DBSMALLINT	len;	/* byte count */
	BYTE	array[DBMAXCHAR];	/* non-terminated array */
} DBVARYBIN;
.sp
.ne 3
typedef DBSMALLINT DBINDICATOR;		/* used by \*L
			\0\0\0for indicator variables. */
.fi
.in -5n
.sp
.Bz
.Sa
dbaltbind,
dbalttype,
dbbind,
dbcoltype,
dbconvert,
dbprtype,
dbrettype,
dbwillconvert,
options
